> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/nodejs/dbaas-mongodb/models/clusterproperties.md).

# ClusterProperties

Properties of a database cluster.

## Properties

| Name                  | Type                                                                             | Description                                                                                                                                                                                                                                                                      | Notes                               |
| --------------------- | -------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| **displayName**       | **string**                                                                       | The name of your cluster.                                                                                                                                                                                                                                                        | \[optional] \[default to undefined] |
| **mongoDBVersion**    | **string**                                                                       | The MongoDB version of your cluster.                                                                                                                                                                                                                                             | \[optional] \[default to undefined] |
| **location**          | **string**                                                                       | The physical location where the cluster will be created. This is the location where all your instances will be located. This property is immutable.                                                                                                                              | \[optional] \[default to undefined] |
| **instances**         | **number**                                                                       | The total number of instances in the cluster (one primary and n-1 secondaries).                                                                                                                                                                                                  | \[optional] \[default to undefined] |
| **connections**       | [**Array\<Connection>**](/cloud/nodejs/dbaas-mongodb/models/connection.md)       |                                                                                                                                                                                                                                                                                  | \[optional] \[default to undefined] |
| **maintenanceWindow** | [**MaintenanceWindow**](/cloud/nodejs/dbaas-mongodb/models/maintenancewindow.md) |                                                                                                                                                                                                                                                                                  | \[optional] \[default to undefined] |
| **templateID**        | **string**                                                                       | The unique ID of the template, which specifies the number of cores, storage size, and memory. You cannot downgrade to a smaller template or minor edition (e.g. from business to playground). To get a list of all templates to confirm the changes use the /templates endpoint. | \[optional] \[default to undefined] |
| **connectionString**  | **string**                                                                       | The connection string for your cluster.                                                                                                                                                                                                                                          | \[optional] \[default to undefined] |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/nodejs/dbaas-mongodb/models/clusterproperties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
